# dkim_sig_getflags()

[back to index]

SYNOPSIS

    #include <dkim.h>

    unsigned int dkim_sig_getflags(
    	DKIM_SIGINFO *sig
    );

Retrieve the flags stored for a specific signature.

DESCRIPTION

Called When | `dkim_sig_getflags()` can be called in the prescreen or final or callbacks, if defined, or after `dkim_eoh()`.

ARGUMENTS

Argument | Description
--- | ---
sig | Signature-specific handle.

RETURN VALUE

The value returned is a bitwise-OR of the following constants:

Flag Name | Description
--- | ---
`DKIM_SIGFLAG_IGNORE` | The signature has been flagged to be ignored by a prior call to `dkim_sig_ignore()`.
`DKIM_SIGFLAG_PROCESSED` | The signature has had DNS validation attempted.
`DKIM_SIGFLAG_PASSED` | DNS validation succeeded. See NOTES below.
`DKIM_SIGFLAG_TESTKEY` | Key's "in test" flag was set.
`DKIM_SIGFLAG_NOSUBDOMAIN` | Key's "not for use with subdomains" flag was set.

NOTES

- The DKIM_SIGFLAG_PASSED flag is set if the header hash, the public key and the digital signature resulted in a successful verification. It does not reflect whether the computed body hash matched the one found in the signature. It is necessary for the caller to use the `dkim_sig_getbh()` as well to test for that case.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009-2011, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.